var status=0;
var user=null;
function getCRSList(ucode){
  $(".CRSList").empty();
   var url="http://oa.019.net:8889/u/u.php?code="+ucode+"&callback=?";
   var param={};
   $.getJSON(url,param,function(data){ 
      $.each(data,function(i){
          //var temphref=href.replace("[id]",this.id);
          var index=Math.floor(i/3);
          var display="";
          if(index!=0){
            display="style='display:none'";
          }
          var crm_status=""
         // if(this.crm_status==1){
            crm_status='<span class="statusone">空闲</span>';
          //}else{
          //  crm_status='<span class="statusone-out">离线</span>';
          //}
          var item=' <li class="CRSList-'+Math.floor(i/3)+'" '+display+'><div class="servedivimgs">'+
                   ' <div class="leftimgs"> <img src="'+this.avatar+'" />'+
                   '   <div class="divtext"> <span></span>'+
                    '    <p>'+this.name+'</p>'+((this.memo==undefined)?"":this.memo)+
                    '    </div>'+
                   ' </div>'+
                   ' <div class="righttext">'+
                    '  <p>姓 名：'+this.name+'</p>'+
                    '  <p>工 号：'+this.jobNumber+'</p>'+
                   '   <p>状 态：'+crm_status+'</p>'+
                    '  <p>等 级：'+getStar(this.level)+'</p>'+
                   '   <a href="http://wpa.qq.com/msgrd?v=3&uin='+this.id+'&site=qq&menu=yes" class="link-tel" target="_blank">立即联系</a>'+
                  '  </div>'+
                  '</div>'+
                 ' </li>'; 
         $(".CRSList").append(item);
         
      });
   })
}
//获得等级状态
function getStar(level){

   var stars=""
   for(var i=0;i<level;i++){
       stars+='<img src="images/server-5.png" />';
   }
  return stars;
}

 
 
//根据用户类型显示不同的界面
function showPanelByUserType(){
         
        if(user.userType=="3"){//激活
            
            getCSByUserName(function(data){
                
                 $("#active").css("display","-webkit-box").find(".cs").append(csInfo(data));
            },function(data){//加载投顾
                $("#active").find(".csr").hide().append(csrInfo(data));
            });      
        }else if(user.userType=="5"){//vip
           
            getCSByUserName(function(data){//加载客服
                
                 $("#vip").css("display","-webkit-box").find(".cs").append(csInfo(data));
            },function(data){//加载投顾
                 $("#vip").find(".csr").hide().append(csrInfo(data));
            });
                      
        }else {//普通
          getCRSByUserName(function(data){
               
               $("#bind").css("display","-webkit-box").find(".csr").html(csrInfo(data));
          });
          
        }
}
  
//错误弹框
function dialogError(){
  $("#nouser").show();
}
//获得登录用户
function getUser(){
   
   var param={};
   //$.getJSON(url,param,function(data){
   　 //关闭进度条
       closeLoading();
   //  if(data.code==0){//游客
        
       $("#visitor").css({display:"-webkit-box"}); 
       ucode=tequan[4];
       getCRSList(ucode);

   //  }else{//已经登录
       // user=data.datas.u;
        //var username=data.datas.u.username;
        //var userType=data.datas.u.userType;
		// showPanelByUserType();  
  //   }
   //})
}
//关闭loading
function closeLoading(){
  $("#loding_div").css({display:"none"});
}
$(function(){
  new progress({id:test,margintop:20});
  //获得登录用户
  getUser();
  $(".closebtn,.abolishinput").click(function(){
    $(".serve-Popup").hide();
    $(".serve-Popup2").hide();
  }) 
  $(".div-drop div").click(function(){
       var isDisplay=$(this).next().css("display");
       if(isDisplay=="none"){
         $(this).next().show();
       }else{
          $(this).next().hide();
       }
  });
 
 //控制投顾和客服的
  $(".div-drop ul li").click(function(){

    var csr=$(this).parent().parent().next();
     var cs=csr.next();
     if(cs.html()=="")
     {
      return false;
     }

    var prvetext=$(this).html();
    var nexttext=$(this).parent().prev().html();
     $(this).html(nexttext);
     $(this).parent().hide().prev().html(prvetext);
     
     if(csr.css("display")=="block"){
       csr.hide();
       cs.show();
     }else{
       csr.show();
       cs.hide();
     }
  });

  //控制分页
  $(".right-tab .next").click(function(){
     var ul=$(this).next();
     var  li=ul.find(".on");
      var nextindex=ul.find(".on").index();

    
     li.removeClass("on");
     li.prev().addClass("on");

    var index=ul.find(".on").index(); 
     if(index==-1){
        ul.find("li:first").addClass("on");
        return false;
     }
     $(".CRSList .CRSList-"+nextindex).hide();
     $(".CRSList .CRSList-"+index).show();
  });
  $(".right-tab .prev").click(function(){
     var ul=$(this).prev();
     var  li=ul.find(".on");
     var previndex=ul.find(".on").index();

     li.removeClass("on");
     li.next().addClass("on");

     var index=ul.find(".on").index();
     if(index==-1){
        ul.find("li:last").addClass("on");
        return false;
     }
     $(".CRSList .CRSList-"+previndex).hide();
     $(".CRSList .CRSList-"+index).show();

  });

  
  //getCRSByUserName("whtest4");
})